Ask Your Question
0

errors with puppet 3.4.2 and the F5 module

asked 2014-01-14 06:43:28 -0500

marc gravatar image

Hi,

I have the following errors with puppet 3.4.2 and the F5 module.

It seems that other people have similar error with other versions: https://github.com/puppetlabs/puppetlabs-f5/pull/113

Error: Could not autoload puppet/provider/f5rule/f5rule: uninitialized constant Puppet::Util::NetworkDevice Error: Could not autoload puppet/type/f5rule: Could not autoload puppet/provider/f5rule/f5rule: uninitialized constant Puppet::Util::NetworkDevice Error: Could not run: Could not autoload puppet/type/f5rule: Could not autoload puppet/provider/f5rule/f5rule: uninitialized constant Puppet::Util::NetworkDevice

Could you please tell me ... (more)

edit retag flag offensive close merge delete

1 answer

Sort by ยป oldest newest most voted
0

answered 2014-01-14 11:04:54 -0500

marc gravatar image

The following solved this for me. Thanks to Nan Liu for pointing this out! Adding the following line to the beginning of the file https://github.com/puppetlabs/puppetlabs-f5/blob/master/lib/puppet/util/network_device/f5.rb :

require 'puppet/util/network_device'

edit flag offensive delete link more

Your Answer

Please start posting anonymously - your entry will be published after you log in or create a new account.

Add Answer

Question Tools

1 follower

Stats

Asked: 2014-01-14 06:43:28 -0500

Seen: 88 times

Last updated: Jan 14 '14